Loading...
Searching...
No Matches
init.c File Reference
`#include <stdlib.h>`
`#include <grass/linkm.h>`
Include dependency graph for linkm/init.c:

Go to the source code of this file.

## Functions

void | link_set_chunk_size (int size)
void | link_exit_on_error (int flag)
struct link_head * | link_init (int size)
void | link_cleanup (struct link_head *Head)

## Function Documentation

## link_cleanup()

void link_cleanup | ( | struct link_head * | Head | ) |

Definition at line 67 of file linkm/init.c.

References NULL.

Referenced by BM_destroy_sparse().

## link_exit_on_error()

void link_exit_on_error | ( | int | flag | ) |

Definition at line 37 of file linkm/init.c.

## link_init()

struct link_head * link_init | ( | int | size | ) |

Definition at line 42 of file linkm/init.c.

References NULL, and VOID_T.

Referenced by BM_create_sparse(), and BM_file_read().

## link_set_chunk_size()

void link_set_chunk_size | ( | int | size | ) |

Definition at line 32 of file linkm/init.c.

Referenced by BM_create_sparse(), and BM_file_read().